Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class MultithreadedCacheableCharacterChannelAdapter

    java.lang.Object
      org.jasig.portal.MultithreadedCharacterChannelAdapter
          org.jasig.portal.MultithreadedCacheableCharacterChannelAdapter

All Implemented Interfaces:
  ICacheable, IChannel, ICharacterChannel

Direct Known Subclasses:
  MultithreadedCacheableMimeResponseCharacterChannelAdapter, MultithreadedPrivilegedCacheableCharacterChannelAdapter

    public class MultithreadedCacheableCharacterChannelAdapter

extends MultithreadedCharacterChannelAdapter
implements ICacheable

Internal adapter for a multithreaded character channel that is also cacheable.

Version:
  $Revision: 1.4 $
Author:
  Peter Kharchenko, Nick Bolton
See Also:
  `MultithreadedCharacterChannelAdapter`

Field Summary

Fields inherited from class org.jasig.portal.MultithreadedCharacterChannelAdapter
`channel, uid`

Constructor Summary
`MultithreadedCacheableCharacterChannelAdapter(IMultithreadedCharacterChannel channel, java.lang.String uid)`

Method Summary
`ChannelCacheKey` | `generateKey()` Requests the channel to generate a key uniqly describing it's current state, and a description of key usage.
`boolean` | `isCacheValid(java.lang.Object validity)` Requests the channel to verify validity of the retreived cache based on the validator object.

Methods inherited from class org.jasig.portal.MultithreadedCharacterChannelAdapter
`getRuntimeProperties, receiveEvent, renderCharacters, renderXML, setRuntimeData, setStaticData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultithreadedCacheableCharacterChannelAdapter

    public MultithreadedCacheableCharacterChannelAdapter(IMultithreadedCharacterChannel channel,
                                                         java.lang.String uid)

Method Detail

### generateKey

    public ChannelCacheKey generateKey()

  Description copied from interface: `ICacheable`
  Requests the channel to generate a key uniqly describing it's current state, and a description of key usage.

  Specified by:
    `generateKey` in interface `ICacheable`

### isCacheValid

    public boolean isCacheValid(java.lang.Object validity)

  Description copied from interface: `ICacheable`
  Requests the channel to verify validity of the retreived cache based on the validator object.

  Specified by:
    `isCacheValid` in interface `ICacheable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD